org.kohsuke.stapler

## Class AnnotationProcessorFactoryImpl

- java.lang.Object
- - org.kohsuke.stapler.AnnotationProcessorFactoryImpl

All Implemented Interfaces:
  com.sun.mirror.apt.AnnotationProcessorFactory

Deprecated.
Requiring 1.6 for development-time. Annotation processing is now a part of the core stapler.

    public final class AnnotationProcessorFactoryImpl
    extends Object
    implements com.sun.mirror.apt.AnnotationProcessorFactory

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`AnnotationProcessorFactoryImpl()` Deprecated.

### Method Summary

Methods
`com.sun.mirror.apt.AnnotationProcessor` `getProcessorFor(Set<com.sun.mirror.declaration.AnnotationTypeDeclaration> set, com.sun.mirror.apt.AnnotationProcessorEnvironment env)` Deprecated.
`Collection<String>` `supportedAnnotationTypes()` Deprecated.
`Collection<String>` `supportedOptions()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationProcessorFactoryImpl

    public AnnotationProcessorFactoryImpl()

Deprecated.

### Method Detail

#### supportedOptions

    public Collection<String> supportedOptions()

Deprecated.

Specified by:
  `supportedOptions` in interface `com.sun.mirror.apt.AnnotationProcessorFactory`

#### supportedAnnotationTypes

    public Collection<String> supportedAnnotationTypes()

Deprecated.

Specified by:
  `supportedAnnotationTypes` in interface `com.sun.mirror.apt.AnnotationProcessorFactory`

#### getProcessorFor

    public com.sun.mirror.apt.AnnotationProcessor getProcessorFor(Set<com.sun.mirror.declaration.AnnotationTypeDeclaration> set,
                                                         com.sun.mirror.apt.AnnotationProcessorEnvironment env)

Deprecated.

Specified by:
  `getProcessorFor` in interface `com.sun.mirror.apt.AnnotationProcessorFactory`